> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Update the enablements for an organization

PUT https://api.contentful.com/organizations/{organization_id}/enablements
Content-Type: application/vnd.contentful.management.v1+json

Enables or changes features for an organization. Include `X-Contentful-Version` (use `1` if no document exists yet).

Reference: https://contentful.com/developers/docs/references/content-management-api/organization-enablements/update-the-enablements-for-an-organization

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The ID of the Organization

### Headers

- `X-Contentful-Version` (string, required) — Last version of the organization enablement document you are updating

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Request**

```json
{
  "builtInAiActions": {
    "enabled": false
  },
  "customAiActions": {
    "enabled": true
  }
}
```

**Response**

```json
{
  "builtInAiActions": {
    "enabled": false
  },
  "customAiActions": {
    "enabled": true
  },
  "sys": {
    "createdAt": "2025-09-14T15:38:00.000Z",
    "createdBy": {
      "sys": {
        "id": "75cxRYbSLlWMlCrN1tZGdP",
        "linkType": "User",
        "type": "Link"
      }
    },
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "OrganizationEnablement",
    "updatedAt": "2025-09-26T12:44:34.000Z",
    "updatedBy": {
      "sys": {
        "id": "75cxRYbSLlWMlCrN1tZGdP",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 3
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
No snippet for this SDK.
```